# Declutter
Did you receive a messy project or just too lazy to organize your assets?

Stop working in the chaos!

**Declutter**, an After Effects extension to help you clean your messy project panel.

## Description
**Declutter** is an After Effects extension created to organize your project assets into predefined folder structures. You can create and store your own folder structures with their own names, suited to different type of projects or needs. Within each structure you can customize the parent folders, child folders, folder labels and names, and what type of assets they're going to store. You can be as perfectionist as you want!

After you've created your folder structure just save it for later use. Choose a structure from the list and within a few seconds you'll get a clean and beautifully organized project panel.

## Features
* **Versatile:** Create and save as many folder structures you want
* **Customizable:** Edit folder names and labels to suit your organization needs
* **Fast:** Organize thousands of assets by type in a matter of seconds
* **Easy to use:** Thanks to a super clean UI

## Sort your assets by type
You can tell **Declutter** to put your assets in specific folders, separated by their type. If there's an asset type that isn't specified **Declutter** will automatically put unorganized items into the root folder.

Here are the type of assets supported:
* Compositions
* Pre-Compositions
* Compositions based on a prefix
* Audio files
* Video files
* Image files
* Solids
* Extensions (like **.png** or **.c4d** files)

## Compatibility
* AE CC2015 (13.8.1)
* AE CC2017 (14.x)
* AE CC2018 (15.x)
* AE CC2019 (16.x)

## How to use it?

In the main page just click a folder structure from the list to organize your project panel. From this page you can also delete or create new folder structures, or enter a folder structure to edit it.

* **+ New Folder Structure:** creates a new blank folder structure
* **Edit:** opens the folder structure editor
* **Delete:** deletes a folder structure

In the **Edit Folder Structure** page you can change the folder structure's name, folders, their names, labels and folder types.

* **+ New Top Folder:** creates a new top folder
* **Add Folder:** adds a child folder
* **Remove:** removes a folder
* **Label:** opens a color picker and change the label color
* **Folder Type:** opens the different type of assets available

In the **Folder Type** page choose from the list to change the type of assets a folder is going to store.

## Tips
* Press **Shift** while choosing a folder structure to only create folders.
* Reduce the project before using **Declutter** (File > Dependencies > Reduce Project). The bigger the file, the longer it's going to take.

## Warning
**Declutter** will override your current folder structure in order to organize all of your assets, but if you want to go back to your old messy folder structure you can just **Undo it** (Ctrl/Cmd + Z).